"{ Encoding: utf8 }"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

CharacterEncoder subclass:#SingleByteEncoder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

SingleByteEncoder class instanceVariableNames:'mySingleInstance'

"
 No other class instance variables are inherited by this class.
"
!


!SingleByteEncoder class methodsFor:'instance creation'!

new
    "singleton - there is only one"

    mySingleInstance isNil ifTrue:[
	mySingleInstance := self basicNew initialize.
    ].
    ^ mySingleInstance
! !

!SingleByteEncoder class methodsFor:'private'!

flushSingletons
    mySingleInstance := nil.
    super flushSingletons

    "
     self flushSingletons
    "
! !

!SingleByteEncoder class methodsFor:'queries'!

maxCode
    ^ 255 
!

minCode
    ^ 0 
! !

!SingleByteEncoder class methodsFor:'testing'!

isAbstract
    self == SingleByteEncoder ifTrue:[^ true].
    ^ super isAbstract
! !

!SingleByteEncoder methodsFor:'private'!

newString:size
    ^ String uninitializedNew:size
! !

!SingleByteEncoder class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/Attic/Encoder_SingleByteEncoder.st,v 1.1 2004-03-05 17:20:12 cg Exp $'
! !
